Bug 67316 - kernel upgrade leaves /boot/grub/grub.conf world readable
Summary: kernel upgrade leaves /boot/grub/grub.conf world readable
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-22 04:59 UTC by akopps
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-22 08:18:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description akopps 2002-06-22 04:59:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
After installing any of the kernel update packages on either RedHat 7.2 or 7.3,
/boot/grub/grub.conf is left with mode 644 which allows anyone to read it. This
might be a security problem for sites that set grub password (which is stored in
either encrypted or clear text form in /boot/grub/grub.conf)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh kernel-2.4.18-5.i686.rpm
2.
3.
	

Actual Results:  /boot/grub/grub.conf is world readable

Expected Results:  /boot/grub/grub.conf should be readable only by root.

Additional info:

Comment 1 Erik Troan 2002-06-23 23:01:18 UTC
new (rawhide) versions of grubby preserve the permissions that were originally
on the file


Note You need to log in before you can comment on or make changes to this bug.